Render Visible Questionnaire
curl --request POST \
--url https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"topics": [
{
"name": "",
"goal": "",
"success_criteria": [
"<string>"
],
"success_threshold": "",
"mentions": "",
"section_type": "questions",
"survey_position": "<string>",
"questions": [
{
"text": "",
"question_type": "open_ended",
"is_required": true,
"options": [
"<string>"
],
"component_config": {},
"follow_up_rule": "auto",
"follow_up_guideline": "",
"requires_screen_share": false,
"screen_share_prompt": ""
}
]
}
],
"locale": "en",
"goal": "",
"description": "",
"success_criteria": "",
"interview_context_for_employee": "",
"welcome_screen": "",
"closing_message": "",
"sections": []
}
'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf"
payload = {
"name": "<string>",
"topics": [
{
"name": "",
"goal": "",
"success_criteria": ["<string>"],
"success_threshold": "",
"mentions": "",
"section_type": "questions",
"survey_position": "<string>",
"questions": [
{
"text": "",
"question_type": "open_ended",
"is_required": True,
"options": ["<string>"],
"component_config": {},
"follow_up_rule": "auto",
"follow_up_guideline": "",
"requires_screen_share": False,
"screen_share_prompt": ""
}
]
}
],
"locale": "en",
"goal": "",
"description": "",
"success_criteria": "",
"interview_context_for_employee": "",
"welcome_screen": "",
"closing_message": "",
"sections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
topics: [
{
name: '',
goal: '',
success_criteria: ['<string>'],
success_threshold: '',
mentions: '',
section_type: 'questions',
survey_position: '<string>',
questions: [
{
text: '',
question_type: 'open_ended',
is_required: true,
options: ['<string>'],
component_config: {},
follow_up_rule: 'auto',
follow_up_guideline: '',
requires_screen_share: false,
screen_share_prompt: ''
}
]
}
],
locale: 'en',
goal: '',
description: '',
success_criteria: '',
interview_context_for_employee: '',
welcome_screen: '',
closing_message: '',
sections: []
})
};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'topics' => [
[
'name' => '',
'goal' => '',
'success_criteria' => [
'<string>'
],
'success_threshold' => '',
'mentions' => '',
'section_type' => 'questions',
'survey_position' => '<string>',
'questions' => [
[
'text' => '',
'question_type' => 'open_ended',
'is_required' => true,
'options' => [
'<string>'
],
'component_config' => [
],
'follow_up_rule' => 'auto',
'follow_up_guideline' => '',
'requires_screen_share' => false,
'screen_share_prompt' => ''
]
]
]
],
'locale' => 'en',
'goal' => '',
'description' => '',
'success_criteria' => '',
'interview_context_for_employee' => '',
'welcome_screen' => '',
'closing_message' => '',
'sections' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interview-export
Render Visible Questionnaire
Render visible content plus selected saved setup, without writes or invitations.
POST
/
v1
/
interviews
/
{interview_id}
/
export
/
questionnaire.pdf
Render Visible Questionnaire
curl --request POST \
--url https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"topics": [
{
"name": "",
"goal": "",
"success_criteria": [
"<string>"
],
"success_threshold": "",
"mentions": "",
"section_type": "questions",
"survey_position": "<string>",
"questions": [
{
"text": "",
"question_type": "open_ended",
"is_required": true,
"options": [
"<string>"
],
"component_config": {},
"follow_up_rule": "auto",
"follow_up_guideline": "",
"requires_screen_share": false,
"screen_share_prompt": ""
}
]
}
],
"locale": "en",
"goal": "",
"description": "",
"success_criteria": "",
"interview_context_for_employee": "",
"welcome_screen": "",
"closing_message": "",
"sections": []
}
'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf"
payload = {
"name": "<string>",
"topics": [
{
"name": "",
"goal": "",
"success_criteria": ["<string>"],
"success_threshold": "",
"mentions": "",
"section_type": "questions",
"survey_position": "<string>",
"questions": [
{
"text": "",
"question_type": "open_ended",
"is_required": True,
"options": ["<string>"],
"component_config": {},
"follow_up_rule": "auto",
"follow_up_guideline": "",
"requires_screen_share": False,
"screen_share_prompt": ""
}
]
}
],
"locale": "en",
"goal": "",
"description": "",
"success_criteria": "",
"interview_context_for_employee": "",
"welcome_screen": "",
"closing_message": "",
"sections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
topics: [
{
name: '',
goal: '',
success_criteria: ['<string>'],
success_threshold: '',
mentions: '',
section_type: 'questions',
survey_position: '<string>',
questions: [
{
text: '',
question_type: 'open_ended',
is_required: true,
options: ['<string>'],
component_config: {},
follow_up_rule: 'auto',
follow_up_guideline: '',
requires_screen_share: false,
screen_share_prompt: ''
}
]
}
],
locale: 'en',
goal: '',
description: '',
success_criteria: '',
interview_context_for_employee: '',
welcome_screen: '',
closing_message: '',
sections: []
})
};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'topics' => [
[
'name' => '',
'goal' => '',
'success_criteria' => [
'<string>'
],
'success_threshold' => '',
'mentions' => '',
'section_type' => 'questions',
'survey_position' => '<string>',
'questions' => [
[
'text' => '',
'question_type' => 'open_ended',
'is_required' => true,
'options' => [
'<string>'
],
'component_config' => [
],
'follow_up_rule' => 'auto',
'follow_up_guideline' => '',
'requires_screen_share' => false,
'screen_share_prompt' => ''
]
]
]
],
'locale' => 'en',
'goal' => '',
'description' => '',
'success_criteria' => '',
'interview_context_for_employee' => '',
'welcome_screen' => '',
'closing_message' => '',
'sections' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ontora.com/v1/interviews/{interview_id}/export/questionnaire.pdf")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"topics\": [\n {\n \"name\": \"\",\n \"goal\": \"\",\n \"success_criteria\": [\n \"<string>\"\n ],\n \"success_threshold\": \"\",\n \"mentions\": \"\",\n \"section_type\": \"questions\",\n \"survey_position\": \"<string>\",\n \"questions\": [\n {\n \"text\": \"\",\n \"question_type\": \"open_ended\",\n \"is_required\": true,\n \"options\": [\n \"<string>\"\n ],\n \"component_config\": {},\n \"follow_up_rule\": \"auto\",\n \"follow_up_guideline\": \"\",\n \"requires_screen_share\": false,\n \"screen_share_prompt\": \"\"\n }\n ]\n }\n ],\n \"locale\": \"en\",\n \"goal\": \"\",\n \"description\": \"\",\n \"success_criteria\": \"\",\n \"interview_context_for_employee\": \"\",\n \"welcome_screen\": \"\",\n \"closing_message\": \"\",\n \"sections\": []\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
The response is of type file.
Was this page helpful?